cURL
curl --request PATCH \ --url https://openapi.enginy.ai/v1/folders/companies/{folderId} \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "name": "<string>", "parentId": 123 } '
{ "status": "success", "message": "<string>", "data": { "id": 123, "name": "<string>", "parentId": 123, "type": "CONTACTS", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } }
Update a company list folder name or parent. Moving a folder into one of its descendants is not allowed..
Required scope: LISTS_WRITE Rate limit: 30 requests per minute
Required scope: LISTS_WRITE
LISTS_WRITE
Rate limit: 30 requests per minute
Folder ID
Updated folder name.
1
Updated parent folder ID or null to move to root.
null
Folder updated successfully
success
Show child attributes